Bug 144448 - Writer: Unchecking "same content on first page" for header cripples ability to change header and footer height independently.
Summary: Writer: Unchecking "same content on first page" for header cripples ability t...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: implementationError
Depends on:
Blocks:
 
Reported: 2021-09-11 20:27 UTC by mithra
Modified: 2021-10-01 13:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screen Shot (265.47 KB, image/jpeg)
2021-09-11 20:36 UTC, mithra
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mithra 2021-09-11 20:27:36 UTC
Description:
I am unable to change the viewable height of the header on page 1, when there is a different header on page 2.
Before anyone says it: Yes, I applied the "First Page" style to page 1, and the "Default Page Style" to page 2.

Steps to Reproduce:
1. Create a header in Writer document
2. Drop-down list: Format header (page style)
3. Uncheck "Same Content on First Page"
4. Create page 2
5. Create a new header on page 2

Actual Results:
I am now unable to change the viewable height of the header on page 1
Before anyone says it: Yes, I applied the "First Page" style to page 1, and the "Default Page Style" to page 2. I even tried creating a separate section for page 2.

Expected Results:
I should be able to change the size (viewable height) of the headers independently.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 7.2.0.4 / LibreOffice Community
Build ID: 9a9c6381e3f7a62afc1329bd359cc48accb6435b
CPU threads: 16; OS: Mac OS X 10.15.7; UI render: default; VCL: osx
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 mithra 2021-09-11 20:36:38 UTC
Created attachment 174981 [details]
Screen Shot
Comment 2 m.a.riosv 2021-09-13 13:29:13 UTC

*** This bug has been marked as a duplicate of bug 144184 ***
Comment 3 Timur 2021-10-01 13:28:07 UTC
Of course this clearly described Writer bug is not a duplicate of Calc bug. 
Repro 7.3+ Win, so I set All. Never was fine, implementationError.
If saved after height change and reopened, height is same for both headers.